include <Lampe_Parameter.scad>;
include <Lampe_2DFormen.scad>;

// acryl pipe
%color("LightCyan", 0.5)
difference() {
	cylinder(d = acryl_outer_dia, h=acryl_height, center=true);
	cylinder(d = acryl_inner_dia, h=acryl_height+1, center=true);
}

%color("Yellow", 0.3)
translate([0,0,inner_height/2+1.5*wood_thickness]) linear_extrude(wood_thickness, center=true) top_outer_plate();
translate([0,0,inner_height/2+0.5*wood_thickness]) linear_extrude(wood_thickness, center=true) top_inner_plate();

translate([0,0,-inner_height/2-0.5*wood_thickness]) linear_extrude(wood_thickness, center=true) bottom_inner_plate();
%color("Yellow", 0.6)
translate([0,0,-inner_height/2-1.5*wood_thickness]) linear_extrude(wood_thickness, center=true) bottom_outer_plate();


color("red")
for(angle = [0:45:7*45]) {
	rotate([0, 0, angle])
		translate([0, holder_offset, 0]) rotate([90, 0, 0]) linear_extrude(wood_thickness, center=true) ledstrip_holder();
}

translate([0,0,-inner_height/2-bottom_box_height-2.5*wood_thickness]) linear_extrude(wood_thickness, center=true) base_plate();

%color("green", 0.5)
for(angle = [0:45:7*45]) {
	rotate([0, 0, angle])
		translate([0, bottom_box_wall_offset, -inner_height/2-bottom_box_height/2-2*wood_thickness]) rotate([90, 0, 0]) linear_extrude(wood_thickness, center=true) box_wall();
}
